Bug 1341126 - Cumulative xfsrestore does not restore files and folders in a directory which was renamed
Summary: Cumulative xfsrestore does not restore files and folders in a directory which...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xfsdump
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Zorro Lang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 10:24 UTC by Damien Gombault
Modified: 2020-12-15 07:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 07:41:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Level 0 dump (21.12 KB, application/octet-stream)
2016-06-22 10:34 UTC, Damien Gombault
no flags Details
Level 1 dump (21.45 KB, application/octet-stream)
2016-06-22 10:34 UTC, Damien Gombault
no flags Details
Debug Trace Level 0 Dump (3.33 KB, text/plain)
2016-06-22 10:35 UTC, Damien Gombault
no flags Details
Debug Trace Level 1 Dump (3.61 KB, text/plain)
2016-06-22 10:35 UTC, Damien Gombault
no flags Details

Description Damien Gombault 2016-05-31 10:24:38 UTC
Hi.

I use xfsdump to backup my systems.
Recently I had to use xfsrestore to restore a cumulative level 0 + level 1 dumps.

The level 0 dump log is :
/usr/sbin/xfsdump: using file dump (drive_simple) strategy
/usr/sbin/xfsdump: version 3.1.4 (dump format 3.0)
/usr/sbin/xfsdump: level 0 dump of owncloud:/
/usr/sbin/xfsdump: dump date: Sat May  7 02:10:04 2016
/usr/sbin/xfsdump: session id: 6ca00754-b885-4d2f-8785-e0399961c765
/usr/sbin/xfsdump: session label: "machine:owncloud partition:/ level:0 date:2016-05-07-02-10"
/usr/sbin/xfsdump: ino map phase 1: constructing initial dump list
/usr/sbin/xfsdump: ino map phase 2: skipping (no pruning necessary)
/usr/sbin/xfsdump: ino map phase 3: skipping (only one dump stream)
/usr/sbin/xfsdump: ino map construction complete
/usr/sbin/xfsdump: estimated dump size: 216034001408 bytes
/usr/sbin/xfsdump: creating dump session media file 0 (media 0, file 0)
/usr/sbin/xfsdump: dumping ino map
/usr/sbin/xfsdump: dumping directories
/usr/sbin/xfsdump: dumping non-directory files
/usr/sbin/xfsdump: ending media file
/usr/sbin/xfsdump: media file size 215829487392 bytes
/usr/sbin/xfsdump: dump size (non-dir files) : 215703283288 bytes
/usr/sbin/xfsdump: dump complete: 6199 seconds elapsed
/usr/sbin/xfsdump: Dump Summary:
/usr/sbin/xfsdump:   stream 0 /mnt/backup/xfsdump/owncloud-+-L0-2016-05-07-02-10.dump OK (success)
/usr/sbin/xfsdump: Dump Status: SUCCESS

The level 1 dump log is :
/usr/sbin/xfsdump: using file dump (drive_simple) strategy
/usr/sbin/xfsdump: version 3.1.4 (dump format 3.0)
/usr/sbin/xfsdump: level 1 incremental dump of owncloud:/ based on level 0 dump begun Sat May  7 02:10:04 2016
/usr/sbin/xfsdump: dump date: Sun May 29 02:10:04 2016
/usr/sbin/xfsdump: session id: 8693d7f5-395a-41c4-bb8c-dbbaa7dc7a57
/usr/sbin/xfsdump: session label: "machine:owncloud partition:/ level:1 date:2016-05-29-02-10"
/usr/sbin/xfsdump: ino map phase 1: constructing initial dump list
/usr/sbin/xfsdump: ino map phase 2: pruning unneeded subtrees
/usr/sbin/xfsdump: ino map phase 3: skipping (only one dump stream)
/usr/sbin/xfsdump: ino map construction complete
/usr/sbin/xfsdump: estimated dump size: 38360233792 bytes
/usr/sbin/xfsdump: creating dump session media file 0 (media 0, file 0)
/usr/sbin/xfsdump: dumping ino map
/usr/sbin/xfsdump: dumping directories
/usr/sbin/xfsdump: dumping non-directory files
/usr/sbin/xfsdump: ending media file
/usr/sbin/xfsdump: media file size 38266860896 bytes
/usr/sbin/xfsdump: dump size (non-dir files) : 38240915448 bytes
/usr/sbin/xfsdump: dump complete: 10506 seconds elapsed
/usr/sbin/xfsdump: Dump Summary:
/usr/sbin/xfsdump:   stream 0 /mnt/backup/xfsdump/owncloud-+-L1-2016-05-29-02-10.dump OK (success)
/usr/sbin/xfsdump: Dump Status: SUCCESS

The 2 dumps seems OK.

I created a new XFS file system.
I restored the level 0 dump on it with option -r (cumulative mode).
Then I restored the level 1 dump on it with the same options.

The level 0 restore is OK :
xfsrestore: drive 1: searching media for dump
xfsrestore: drive 0: searching media for directory dump
xfsrestore: drive 1: examining media file 0
xfsrestore: drive 1: searching media for directory dump
xfsrestore: drive 1: inventory session uuid (6ca00754-b885-4d2f-8785-e0399961c765) does not match the media header's session uuid (8693d7f5-395a-41c4-bb8c-dbbaa7dc7a57)
xfsrestore: drive 0: reading directories
xfsrestore: drive 0: 53796 directories and 370906 entries processed
xfsrestore: drive 0: directory post-processing
xfsrestore: drive 0: restoring non-directory files
xfsrestore: drive 0: NOTE: ino 51480542 gen 1438712790 not referenced: placing in orphanage
xfsrestore: drive 0: NOTE: ino 51480551 gen 1438712713 not referenced: placing in orphanage
xfsrestore: drive 0: WARNING: unable to rmdir /mnt/restore//orphanage: Le dossier n'est pas vide
xfsrestore: restore complete: 2764 seconds elapsed
xfsrestore: Restore Summary:
xfsrestore:   stream 0 /mnt/backup-owncloud/xfsdump/owncloud-+-L0-2016-05-07-02-10.dump OK (success)
xfsrestore:   stream 1 /mnt/backup-owncloud/xfsdump/owncloud-+-L1-2016-05-29-02-10.dump OK (success)
xfsrestore: Restore Status: SUCCESS

The 2 ino referenced is empty files, I suppose it was some empty PHP session files deleted during dump.

The level 1 restore show many warnings :
xfsrestore: drive 0: examining media file 0
xfsrestore: drive 1: searching media for directory dump
xfsrestore: drive 1: reading directories
xfsrestore: drive 1: 11013 directories and 96122 entries processed
xfsrestore: drive 1: directory post-processing
xfsrestore: drive 1: WARNING: unable to rename dir orphanage/1677721775.4173752252 to dir var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/08 Sécurité/08c Gestion des mots de passe - Keepass: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename dir orphanage/1711276202.4274102453 to dir var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/02 Mise en oeuvre sOlære: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename dir orphanage/1694499004.2655526171 to dir var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/07 Communication: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename dir orphanage/2365644069.2895542759 to dir var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/08 Sécurité/08c Gestion des mots de passe - Keepass: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902474338.2817943331 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902474340.2817943331 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/186255753.103400553 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/01-Documents préparatoires/Questionnaire initial - AMBOISE.pdf: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829056.3301423653 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Planification.gan.v1462378955: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829025.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Collecte d'informations Amboise.xlsx.v1459347620: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902463620.1603825313 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Collecte d'informations Amboise.xlsx: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829061.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf.v1462362659: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829062.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462365509: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829058.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462365141: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829063.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf.v1462365556: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902474342.2817943330 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.png: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829055.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462362656: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902474343.2817943328 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.graphml: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829059.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462349557: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902551900.2044032635 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Circuits du parapheur.graphml: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902551901.2044032635 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Circuits du parapheur.png: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829057.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.png.v1462361172: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2952829054.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462343392: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/1711326188.435972671 to orphanage/1711276202.4274102453/Portail e-collectivité - Scénario Budget Epci et communes.xlsx.v1457357181: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: unable to rename nondir orphanage/2902474346.2817943328 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Planification.gan: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: restoring non-directory files
xfsrestore: drive 0: inventory session uuid (8693d7f5-395a-41c4-bb8c-dbbaa7dc7a57) does not match the media header's session uuid (6ca00754-b885-4d2f-8785-e0399961c765)
xfsrestore: drive 1: NOTE: ino 51196832 gen 3433304555 not referenced: placing in orphanage
xfsrestore: drive 1: NOTE: ino 51196834 gen 3433298241 not referenced: placing in orphanage
xfsrestore: drive 1: NOTE: ino 51196835 gen 3433289569 not referenced: placing in orphanage
xfsrestore: drive 1: NOTE: ino 51196836 gen 3433286216 not referenced: placing in orphanage
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.graphml failed: Aucun fichier ou dossier de ce type: discarding ino 139111915
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.graphml failed: Aucun fichier ou dossier de ce type: discarding ino 139111917
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit.graphml failed: Aucun fichier ou dossier de ce type: discarding ino 139111918
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit.png failed: Aucun fichier ou dossier de ce type: discarding ino 139111919
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits - multi avis.graphml failed: Aucun fichier ou dossier de ce type: discarding ino 139111920
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits - multi avis.png failed: Aucun fichier ou dossier de ce type: discarding ino 139111921
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.png failed: Aucun fichier ou dossier de ce type: discarding ino 139111922
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.png failed: Aucun fichier ou dossier de ce type: discarding ino 139111923
xfsrestore: drive 1: WARNING: attempt to link orphanage/186255753.103400553 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/01-Documents préparatoires/Questionnaire initial - AMBOISE.pdf failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/200018323 - CC Canton de Beaugency/cc-beaugency.ods failed: Aucun fichier ou dossier de ce type: discarding ino 372614784
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.graphml.v1464365887 failed: Aucun fichier ou dossier de ce type: discarding ino 393730159
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.graphml.v1464366909 failed: Aucun fichier ou dossier de ce type: discarding ino 393730160
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.png.v1464366935 failed: Aucun fichier ou dossier de ce type: discarding ino 393730161
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.graphml.v1464368341 failed: Aucun fichier ou dossier de ce type: discarding ino 393730162
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.graphml.v1464369151 failed: Aucun fichier ou dossier de ce type: discarding ino 393730163
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.png.v1464369156 failed: Aucun fichier ou dossier de ce type: discarding ino 393730164
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits - multi avis.graphml.v1464368128 failed: Aucun fichier ou dossier de ce type: discarding ino 393730165
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.graphml.v1464367523 failed: Aucun fichier ou dossier de ce type: discarding ino 393730166
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - multi circuits.png.v1464367528 failed: Aucun fichier ou dossier de ce type: discarding ino 393730167
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit.graphml.v1464366401 failed: Aucun fichier ou dossier de ce type: discarding ino 393730168
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit.png.v1464366927 failed: Aucun fichier ou dossier de ce type: discarding ino 393730169
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.graphml.v1464369336 failed: Aucun fichier ou dossier de ce type: discarding ino 393730170
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.png.v1464369341 failed: Aucun fichier ou dossier de ce type: discarding ino 393730171
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.graphml.v1464369669 failed: Aucun fichier ou dossier de ce type: discarding ino 393730172
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Demandes de subvention - mono circuit - multi avis.png.v1464369673 failed: Aucun fichier ou dossier de ce type: discarding ino 393730173
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/05 Formations/Conventions avec EPN/GIP Recia2016_V1-2.pdf failed: Aucun fichier ou dossier de ce type: discarding ino 822256228
xfsrestore: drive 1: NOTE: ino 1124073740 gen 1863069171 not referenced: placing in orphanage
xfsrestore: drive 1: WARNING: unable to bind UNIX domain socket ino 1207963216 tmp/tmux-0/default: Adresse déjà utilisée: discarding
xfsrestore: drive 1: WARNING: open of orphanage/1677721775.4173752252/Mots de passe SOLAERE.kdbx failed: Aucun fichier ou dossier de ce type: discarding ino 1677795044
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Guide recia de la e-administration v2.pptx.v1458557329 failed: Aucun fichier ou dossier de ce type: discarding ino 1694498973
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Courrier invitation présentation sOlære à Ste Maure.docx.v1463145748 failed: Aucun fichier ou dossier de ce type: discarding ino 1694498987
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Fiche Produit - Télétransmission des mails sécurisés.docx.v1463555193 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370123
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Présentation plateforme e-collectivité sOlære v2 du 05.04.16.pptx.v1460125314 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370124
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Fiche Produit - Télétransmission des flux comptables.docx.v1463490998 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370128
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Présentation plateforme e-collectivité sOlære v2 du 05.04.16.pptx.v1463574154 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370129
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Fiche Produit - Télétransmission des flux comptables.docx.v1463495871 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370133
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Fiche Produit - Télétransmission des mails sécurisés.docx.v1463500385 failed: Aucun fichier ou dossier de ce type: discarding ino 1695370134
xfsrestore: drive 1: WARNING: open of orphanage/1711276202.4274102453/Suivi des collectivités.ods.v1460723560 failed: Aucun fichier ou dossier de ce type: discarding ino 1711276206
xfsrestore: drive 1: WARNING: open of orphanage/1711276202.4274102453/Suivi des collectivités.ods.v1462958081 failed: Aucun fichier ou dossier de ce type: discarding ino 1711276207
xfsrestore: drive 1: WARNING: open of orphanage/1711276202.4274102453/Suivi des collectivités.ods.v1463053409 failed: Aucun fichier ou dossier de ce type: discarding ino 1711326183
xfsrestore: drive 1: WARNING: attempt to link orphanage/1711326188.435972671 to orphanage/1711276202.4274102453/Portail e-collectivité - Scénario Budget Epci et communes.xlsx.v1457357181 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464106609 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231640
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464106751 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231641
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464106927 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231643
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464107007 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231645
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464107074 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231646
xfsrestore: drive 1: WARNING: open of orphanage/1694499004.2655526171/Images/Logo Solaere e-administration-2560x1440.jpg.v1464107149 failed: Aucun fichier ou dossier de ce type: discarding ino 2248231648
xfsrestore: drive 1: WARNING: open of orphanage/2365644069.2895542759/Mots de passe SOLAERE.kdbx.v1462786944 failed: Aucun fichier ou dossier de ce type: discarding ino 2365678230
xfsrestore: drive 1: WARNING: open of orphanage/2365644069.2895542759/Mots de passe SOLAERE.kdbx.v1462979590 failed: Aucun fichier ou dossier de ce type: discarding ino 2365678263
xfsrestore: drive 1: WARNING: open of orphanage/2365644069.2895542759/Mots de passe SOLAERE.kdbx.v1463149246 failed: Aucun fichier ou dossier de ce type: discarding ino 2365678264
xfsrestore: drive 1: WARNING: open of orphanage/2365644069.2895542759/Mots de passe SOLAERE.kdbx.v1463722642 failed: Aucun fichier ou dossier de ce type: discarding ino 2365704464
xfsrestore: drive 1: WARNING: open of orphanage/2365644069.2895542759/Mots de passe SOLAERE.kdbx.v1461930698 failed: Aucun fichier ou dossier de ce type: discarding ino 2365795807
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/45000 - Prefecture de région - SGAR/comptes de demo sur preprod.pdf failed: Aucun fichier ou dossier de ce type: discarding ino 2701315169
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902463620.1603825313 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Collecte d'informations Amboise.xlsx failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902474338.2817943331 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902474340.2817943331 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902474342.2817943330 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.png failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902474343.2817943328 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.graphml failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902474346.2817943328 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Planification.gan failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Proposition Adista Amboise-1.xlsx failed: Aucun fichier ou dossier de ce type: discarding ino 2902474358
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/Convoc blanche.doc failed: Aucun fichier ou dossier de ce type: discarding ino 2902474362
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902551900.2044032635 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Circuits du parapheur.graphml failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2902551901.2044032635 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Initialisation parapheur/Circuits du parapheur.png failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/Ordre du jour commission Aff. Generales, RH et demographie.doc failed: Aucun fichier ou dossier de ce type: discarding ino 2902651922
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/conv aff generales RH et dmeographie blanche.doc failed: Aucun fichier ou dossier de ce type: discarding ino 2902651923
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/ordre du jour CM 1er Avril 2016.pdf failed: Aucun fichier ou dossier de ce type: discarding ino 2902651924
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/LISTE CM 2014.xls failed: Aucun fichier ou dossier de ce type: discarding ino 2902651925
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/05-Déclaration CNIL/MAIRIE D'AMBOISE- déclarations cnil.pdf failed: Aucun fichier ou dossier de ce type: discarding ino 2902661038
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Schema parapheur.odg failed: Aucun fichier ou dossier de ce type: discarding ino 2902843987
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829025.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Collecte d'informations Amboise.xlsx.v1459347620 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829054.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462343392 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829055.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462362656 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829056.3301423653 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Planification.gan.v1462378955 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829057.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/04-Etude réseau/Schema réseau actualisé.png.v1462361172 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829058.3301423651 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462365141 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829059.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462349557 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829061.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf.v1462362659 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829062.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.odt.v1462365509 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: attempt to link orphanage/2952829063.3301423650 to var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/Compte rendu réunion 3 mai 2016.pdf.v1462365556 failed: Aucun fichier ou dossier de ce type
xfsrestore: drive 1: WARNING: open of var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/03-Initialisation du site/Documents d'initialisation idélibre/LISTE CM 2014.xls.v1462951463 failed: Aucun fichier ou dossier de ce type: discarding ino 2952829070
xfsrestore: drive 1: WARNING: unable to rmdir /mnt/restore//orphanage: Le dossier n'est pas vide
xfsrestore: restore complete: 610 seconds elapsed
xfsrestore: Restore Summary:
xfsrestore:   stream 0 /mnt/backup-owncloud/xfsdump/owncloud-+-L0-2016-05-07-02-10.dump OK (success)
xfsrestore:   stream 1 /mnt/backup-owncloud/xfsdump/owncloud-+-L1-2016-05-29-02-10.dump OK (success)
xfsrestore: Restore Status: SUCCESS

The restoration is inconsistent.
Some folders are not restored at the right place.
And they are a lots of missing files in some directories.
Is this a bug in xfsdump/xfsrestore ?

I use CentOS 7.2 and xfsdump-3.1.4-1.el7.x86_64.

Comment 2 Eric Sandeen 2016-05-31 13:32:36 UTC
In general, it would helpful to provide the error messages after setting LANG=en_US - because your English is far better than my French.  :)

A couple questions:

> Some folders are not restored at the right place.

What does that mean?  Were they restored to the wrong place, or were they not restored at all?

Also, the "Aucun fichier ou dossier de ce type" errors indicate that files could not be moved into a directory hierarchy, presumably because some path component did not exist.

The common portions of those paths which failed are:

> var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/

and

> var/www/html/owncloud/data/F1000buv/files_versions/Dossier personnel et source de partage/E-Administration

Do those paths still exist on the original filesystem?  Is it possible that they were removed while the dump was occurring?

It seems most likely that the filesystem changed significantly during the dump processes, and this is what led to the errors.

This may or may not be useful, but just in case:

If you still have the original filesystem available, could you make an xfs_metadump image of it, with the "-o" option if the filenames are not considered sensitive information?

Then I can recreate your xfsdump/xfsrestore steps, it might provide a reproducer for the problem, although I think this probably has more to do with the filesystem being modified while the dump was occurring, and so the dump/restore of the metadata image may not be useful.

Thanks,
-Eric

Comment 3 Damien Gombault 2016-05-31 15:58:35 UTC
Hi.

Thank you for you answer.
I'll try to use the C or en_US locale next time :o

> Some folders are not restored at the right place.

Between the level 0 dump and level 1 dump, the user renamed and moved a lot of subfolders and files in the "E-Administration" folder.
Some folders and files stayed at the place they were after the level 0 restoration, they should be moved by the level1 xfsrestore in another folder.
Some other files were not restored because the folder owning them was not recreated during the level1 restoration.

An exemple :

The real content after level 0 + level 1 restoration should be :
dir c/
  file aa
  file bb
dir d/
  file dd

After level 0 xfsrestore, the folder contains :
dir a/
  file aa
dir b/
  file bb

After level 0 + level 1 xfsrestore, the folder contains :
dir b/
  file bb (stayed at level 0 step, not moved to dir c/)
dir c/
  file aa

(file dd was not restored because folder d was not recreated)

> It seems most likely that the filesystem changed significantly during the dump processes, and this is what led to the errors.

I think that too, but the user said he does not modified this "E-Administration" folder during the dump.

I have restored the lost files with another method (another backup with tar tool).
I will try to go deeper with the debugging.

Comment 4 Eric Sandeen 2016-05-31 18:02:02 UTC
> I think that too, but the user said he does not modified this "E-Administration" folder during the dump.

Well, easy enough to check - do those paths I mentioned still exist in the user's filesystem?

(or more specifically, do full paths like 
var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/09 Questionnaires communes solære/Dossiers des collectivités/37003 - Amboise/02-Compte rendu de réunions/
still exist?)

Even if the user didn't modify it, perhaps owncloud moved something?

Comment 5 Damien Gombault 2016-06-01 11:17:53 UTC
I will focus on the "Gestion des mots de passe - Keepass/" folder.

level 0 dump content (with xfsrestore -i), folder E-Administration/ : may 7

 -> cd E-Administration/

 -> ls
      1049063261 @ctes/
      2332116702 Certificats Solaere/
      1365634914 Démonstrations et maquettes/
      1677721775 Gestion des mots de passe - Keepass/
       860054100 Formations/
      2566914232 Plateforme e-collectivités/
      1644167337 Communication/
      1566551222 Certificat Serveur/
      1593835688 Pré projet/
      1660944566 Mise en oeuvre/
      1627390136 Infos communes région Centre/
      1610612923 Conventions/
       186255747 Questionnaires communes solaære/
      3036693132 Documents administratifs de référence/
       371821106 Documentation E-administration/
       355157532 Catalogue de service E-Administration/
       318899452 Processus/

 -> cd "Gestion des mots de passe - Keepass/"

 -> ls
      1677721776 Mots de passe SOLAERE.kdbx 
      1677721786 Mots de passe Escolan.kdbx 

E-Administration folder content after level 0 restoration :

# ls -i1
2013274150 Catalogue de service E-Administration
 268445730 Certificat Serveur
1207971935 Certificats Solaere
     16421 Communication
1342191651 Conventions
1074364511 @ctes
1342191647 Démonstrations et maquettes
1879066660 Documentation E-administration
1610682474 Documents administratifs de référence
1610682470 Formations
1476409439 Gestion des mots de passe - Keepass
1207971939 Infos communes région Centre
 671100962 Mise en oeuvre
1476409441 Plateforme e-collectivités
 536881250 Pré projet
     16425 Processus
1476409443 Questionnaires communes solaære

# cd "Gestion des mots de passe - Keepass"/

ls -i1
1514453057 Mots de passe Escolan.kdbx
1514453055 Mots de passe SOLAERE.kdbx

It looks OK, the folder contains the 2 kbdx files.



level 1 content (with xfsrestore -i), folder E-Administration/ : may 29

 -> cd E-Administration/

 -> ls
      3036693132 00 Documents administratifs de référence/
      1627390136 10 Infos communes région Centre/
       186255747 09 Questionnaires communes solære/
       654325809 08 Sécurité/
      1644167337 07 Communication/
       371821106 06 Documentation E-administration/
       860054100 05 Formations/
       318899452 04 Processus/
       355157532 03 Catalogue de service E-Administration/
      1660944566 02 Mise en oeuvre sOlære/
      1593835688 01 Pré projet sOlære/
      1365634914 Démonstrations et maquettes 

 -> cd "08 Sécurité"

 -> ls
      1677721775 08c Gestion des mots de passe - Keepass/
      2332116702 08b Certificats Solaere/
      1566551222 08a Certificat Serveur/

 -> cd "08c Gestion des mots de passe - Keepass"

 -> ls
      1677795044 Mots de passe SOLAERE.kdbx 
      1677721786 Mots de passe Escolan.kdbx 

Days before level1 dump, the user renamed the "Gestion des mots de passe - Keepass" to "08c Gestion des mots de passe - Keepass".
He moves it under a new "08 Sécurité" folder.
The folder contains the 2 kdbx files (the SOLAERE one has a new inode number, file updated or rewritten I think).

E-Administration folder content after level 1 cumulative restoration :

# ls -l1
1610682474 00 Documents administratifs de référence
 536881250 01 Pré projet sOlære
 671100962 02 Mise en oeuvre sOlære
2013274150 03 Catalogue de service E-Administration
     16425 04 Processus
1610682470 05 Formations
1879066660 06 Documentation E-administration
     16421 07 Communication
 134875138 08 Sécurité
1476409443 09 Questionnaires communes solære
1207971939 10 Infos communes région Centre
1342191647 Démonstrations et maquettes
1476409439 Gestion des mots de passe - Keepass

# cd "Gestion des mots de passe - Keepass"/
# ls -i1
1514453057 Mots de passe Escolan.kdbx

# cd "../08 Sécurité"
# ls -i1
 268445730 08a Certificat Serveur
1207971935 08b Certificats Solaere

The "08 Sécurité" folder is created.
The folder "Gestion des mots de passe - Keepass" was not renamed and not moved under "08 Sécurité" folder.
This is related to this xfsrestore trace log :
xfsrestore: unlink var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/Gestion des mots de passe - Keepass/Mots de passe SOLAERE.kdbx
xfsrestore: rename dir var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/Gestion des mots de passe - Keepass to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/Gestion des mots de passe - Keepass
xfsrestore: rename dir orphanage/1677721775.4173752252 to var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/08 Sécurité/08c Gestion des mots de passe - Keepass
xfsrestore: WARNING: unable to rename dir orphanage/1677721775.4173752252 to dir var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/08 Sécurité/08c Gestion des mots de passe - Keepass: Aucun fichier ou dossier de ce type

xfsrestore tries to rename a non non-renamed orphanage folder.
Why was the "Gestion des mots de passe" folder renamed to the same name instead of orphanage/1677721775.4173752252 ?

Then the file "Mots de passe SOLAERE.kdbx" is not restored because orphanage/1677721775.4173752252 folder is missing ("Gestion des mots de passe" not renamed to orphanage/1677721775.4173752252).
Related log :
xfsrestore: unlink var/www/html/owncloud/data/F1000buv/files/Dossier personnel et source de partage/E-Administration/Gestion des mots de passe - Keepass/Mots de passe SOLAERE.kdbx
xfsrestore: restoring orphanage/1677721775.4173752252/Mots de passe SOLAERE.kdbx (1677795044 23718485)
xfsrestore: restoring regular file ino 1677795044 orphanage/1677721775.4173752252/Mots de passe SOLAERE.kdbx
xfsrestore: WARNING: open of orphanage/1677721775.4173752252/Mots de passe SOLAERE.kdbx failed: Aucun fichier ou dossier de ce type: discarding ino 1677795044

This "E-Administration" directory structure was modified earlier, I can found the same in another previous dump :
Another dump, folder E-Administration/ : may 20

 -> cd E-Administration/

 -> ls
      3036693132 00 Documents administratifs de référence/
      1627390136 10 Infos communes région Centre/
       186255747 09 Questionnaires communes solære/
       654325809 08 Sécurité/
      1644167337 07 Communication/
       371821106 06 Documentation E-administration/
       860054100 05 Formations/
       318899452 04 Processus/
       355157532 03 Catalogue de service E-Administration/
      1660944566 02 Mise en oeuvre sOlære/
      1593835688 01 Pré projet sOlære/
      1365634914 Démonstrations et maquettes 

 -> cd "08 Sécurité"

 -> ls
      1677721775 08c Gestion des mots de passe - Keepass/
      2332116702 08b Certificats Solaere/
      1566551222 08a Certificat Serveur

 -> ls
      1677721787 Mots de passe SOLAERE.kdbx 
      1677721786 Mots de passe Escolan.kdbx 

I think this folders and files were not moved during the may 29 level 1 dump.
I also checked the owncloud logs during dump time, there was no write activity.

What could cause this ?

Comment 6 Damien Gombault 2016-06-22 10:34:04 UTC
Hi.

I am able to reproduce the problem with a minimal test case.
Here is the test case :

Create a new XFS filesystem, mount it as "/mnt/test"
Create a directory "dira/"
Create a file "filea" en directory "dira/"
You should get :

.
└── dira
    └── filea

Make a level 0 dump :
xfsdump -l 0 -f /root/test0.dump /mnt/test

Rename "dira/" to "dirA/"
Create a directory "dirb/" in "dirA/"
Create a file "fileb" in "dirb/"
You should get :

.
└── dirA
    ├── dirb
    │   └── fileb
    └── filea

Make a level 1 dump :
xfsdump -l 1 -f /root/test1.dump /mnt/test

Create a new XFS filesystem, mount it as "/mnt/restore"

Restore (cumulative mode) level 0 dump :
xfsrestore -r -f /root/test0.dump /mnt/restore/

Restore (cumulative mode) level 1 dump :
xfsrestore -r -f /root/test1.dump /mnt/restore/

You get a WARNING :
xfsrestore: WARNING: open of dirA/dirb/fileb failed: Aucun fichier ou dossier de ce type: discarding ino 526337 (No such file or directory in english)
Directory "dirb" and fileb is not restored :

.
├── dirA
│   └── filea
└── xfsrestorehousekeepingdir
    ├── dirattr
    ├── dirextattr
    ├── namreg
    ├── state
    └── tree

I attached test0.dump (level 0 dump), test1.dump (level 1 dump), debug0.txt (level 0 debug trace), debug1.txt (level 1 debug trace).

Comment 7 Damien Gombault 2016-06-22 10:34:32 UTC
Created attachment 1170674 [details]
Level 0 dump

Comment 8 Damien Gombault 2016-06-22 10:34:50 UTC
Created attachment 1170675 [details]
Level 1 dump

Comment 9 Damien Gombault 2016-06-22 10:35:17 UTC
Created attachment 1170676 [details]
Debug Trace Level 0 Dump

Comment 10 Damien Gombault 2016-06-22 10:35:38 UTC
Created attachment 1170677 [details]
Debug Trace Level 1 Dump

Comment 11 Eric Sandeen 2016-06-22 14:49:00 UTC
Great, thanks for the testcase.  I'll try to dig into this one further.

Comment 12 Damien Gombault 2016-06-22 14:52:22 UTC
Thank you for your help :)
I can also reproduce this on Fedora 24 (with recent XFS tools) :
xfsprogs-4.5.0-1.fc24.x86_64
xfsdump-3.1.6-2.fc24.x86_64
kernel-4.5.7-300.fc24.x86_64

Comment 13 Bill O'Donnell 2016-06-22 19:29:08 UTC
I've verified the problem on rhel7 and latest xfsdump v3.16 using reproducer in comment 6. Still looking at it...
-Bill

Comment 14 Damien Gombault 2016-06-23 05:05:42 UTC
Dave Chinner have posted a patch on XFS mailing list for this bug :
http://oss.sgi.com/pipermail/xfs/2016-June/049845.html

I will test it tomorrow.

Comment 15 Bill O'Donnell 2016-06-23 14:14:51 UTC
Using reproducer (comment 6), I tested Dave's patch (comment 14) on a RHEL7 target and verified that it fixes the issue.

Comment 16 Damien Gombault 2016-06-24 13:30:19 UTC
Dave's patch fixes the simple reproducer.
I have tested the patch on my real data, it fixes some but not all warnings.

Here is another testcase which fails (with the patch) :

mkdir dira
mkdir dira/dirc
touch dira/dirc/filea
mkdir dirb

.
├── dira
│   └── dirc
│       └── filea
└── dirb

Make a level 0 dump.

mv dirb dira/dirB
mv dira/dirc/ dira/dirB/dirC
touch dira/dirB/dirC/fileb

.
└── dira
    └── dirB
        └── dirC
            ├── filea
            └── fileb

Make a level 1 dump.

Restore level 0 then level 1 dump, you will get :

xfsrestore: directory post-processing
xfsrestore: WARNING: unable to set secure extended attribute for dira/dirB: No such file or directory (2)
xfsrestore: restoring non-directory files
xfsrestore: WARNING: open of dira/dirB/dirC/fileb failed: No such file or directory: discarding ino 524386
xfsrestore: WARNING: unable to set secure extended attribute for dira/dirB/dirC/fileb: No such file or directory (2)
xfsrestore: WARNING: path_to_handle of dira/dirB/dirC failed:No such file or directory
xfsrestore: could not set access and modification times of dira/dirB/dirC: No such file or directory
xfsrestore: chown (uid=0, gid=0) dira/dirB/dirC failed: No such file or directory
xfsrestore: chmod dira/dirB/dirC failed: No such file or directory
xfsrestore: WARNING: attempt to set extended attributes (xflags 0x80000000, extsize = 0x0, projid = 0x0) of dira/dirB/dirC failed: Bad file descriptor
xfsrestore: WARNING: path_to_handle of dira/dirB failed:No such file or directory
xfsrestore: could not set access and modification times of dira/dirB: No such file or directory
xfsrestore: chown (uid=0, gid=0) dira/dirB failed: No such file or directory
xfsrestore: chmod dira/dirB failed: No such file or directory
xfsrestore: WARNING: attempt to set extended attributes (xflags 0x80000000, extsize = 0x0, projid = 0x0) of dira/dirB failed: Bad file descriptor
xfsrestore: WARNING: unable to rmdir /mnt/test//orphanage: Directory not empty

Directory dirB is placed in orphanage folder and fileb is not restored :

.
├── dira
├── orphanage
│   └── 1069152.734839917
│       └── dirC
│           └── filea
└── xfsrestorehousekeepingdir
    ├── dirattr
    ├── dirextattr
    ├── namreg
    ├── state
    └── tree

Comment 17 Eric Sandeen 2016-07-21 23:34:22 UTC
Unfortunately this bug surfaced too late to consider for the next RHEL7 release; I will move it to the subsequent release in the hopes that we can address it then.

Comment 18 Murphy Zhou 2019-03-04 04:33:20 UTC
Still reproducible on upstream kernel 5.0-rc8 and xfsdump.

A report to xfs upstream may help.

Comment 19 Murphy Zhou 2020-05-11 09:40:54 UTC
Still reproducible on upstream kernel 5.7-rc4+ and xfsdump: version 3.1.8 (dump format 3.0)

Comment 21 RHEL Program Management 2020-12-15 07:41:50 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.